CCMCheckout (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ccm.CCMCheckout,CCMCheckout class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ccm
Class CCMCheckout

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ccm.Continuus
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
                              |
                              +--org.apache.tools.ant.taskdefs.optional.ccm.CCMCheckout

public class CCMCheckout
extends CCMCheck

Performs Continuus checkout command.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
`filesets, FLAG_COMMENT, FLAG_TASK`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CCMCheckout()` default constructor

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
`addFileset, execute, getComment, getFile, getTask, setComment, setFile, setTask`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus
`getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCMCheckout

    public CCMCheckout()

  default constructor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.